
From: James Simmons <jsimmons@infradead.org>

Set the default access_align variable.  This variable tells us how much data
the hardware can handle in a single read/write cycle.  For example the epson
chipset can handle only 16 bit reads and writes to the framebuffer.


---

 25-akpm/drivers/video/fbmem.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN drivers/video/fbmem.c~fbdev-access_align-default drivers/video/fbmem.c
--- 25/drivers/video/fbmem.c~fbdev-access_align-default	Thu Apr 29 15:49:12 2004
+++ 25-akpm/drivers/video/fbmem.c	Thu Apr 29 15:49:12 2004
@@ -1290,6 +1290,7 @@ register_framebuffer(struct fb_info *fb_
 			fb_info->pixmap.size = FBPIXMAPSIZE;
 			fb_info->pixmap.buf_align = 1;
 			fb_info->pixmap.scan_align = 1;
+			fb_info->pixmap.access_align = 4;
 			fb_info->pixmap.flags = FB_PIXMAP_DEFAULT;
 		}
 	}	
@@ -1305,6 +1306,7 @@ register_framebuffer(struct fb_info *fb_
 			fb_info->sprite.size = FBPIXMAPSIZE;
 			fb_info->sprite.buf_align = 1;
 			fb_info->sprite.scan_align = 1;
+			fb_info->sprite.access_align = 4;
 			fb_info->sprite.flags = FB_PIXMAP_DEFAULT;
 		}
 	}

_
